Bug 523537 - Review Request: openslide - library for reading virtual slides
Summary: Review Request: openslide - library for reading virtual slides
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Gieseking
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-15 21:03 UTC by Adam Goode
Modified: 2009-09-22 21:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-22 21:41:46 UTC
martin.gieseking: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Adam Goode 2009-09-15 21:03:00 UTC
Spec URL: http://openslide.cs.cmu.edu/download/tmp/openslide.spec
SRPM URL: http://openslide.cs.cmu.edu/download/tmp/openslide-2.2.0-1.fc11.src.rpm
Description: The OpenSlide library allows programs to access virtual slide files
regardless of the underlying image format.

Comment 1 Martin Gieseking 2009-09-19 07:29:49 UTC
As far as I could see, this package is well done. As a minor improvement I suggest to explicitly list the name of the include directory in %files devel. That way it's easier to see that the header files actually go in a subdirectory: 
%{_includedir}/%{name}/ instead of %{_includedir}/*


$ rpmlint  /var/lib/mock/fedora-11-x86_64/result/openslide-*
openslide-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 1 warnings.

The warning about the missing documentation in -devel can be ignored

---------------------------------
keys used in following checklist:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.

[+] MUST: The spec file name must match the base package %{name}.

[+] MUST: The package must meet the Packaging Guidelines.

[+] MUST: The package must be licensed with a Fedora approved license.
    GPLv2 according to file header comments and gpl-2.0.txt

[+] MUST: The License field in the package spec file must match the actual license.

[+] MUST: File containing the license text must be included in %doc.
    - gpl-2.0.txt added to %doc

[+] MUST: The spec file must be written in American English.

[+] MUST: The spec file for the package MUST be legible.

[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.
    sha1sum openslide-2.2.0.tar.gz*
    0a3b7dab1d8985085168290eaceacaf36312ec78  openslide-2.2.0.tar.gz
    0a3b7dab1d8985085168290eaceacaf36312ec78  openslide-2.2.0.tar.gz.1


[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
    - koji scratch build:
      https://koji.fedoraproject.org/koji/taskinfo?taskID=1690974

[.] MUST: If the package does not successfully compile,...

[+] MUST: All build dependencies must be listed in BuildRequires.

[.] MUST: The spec file MUST handle locales properly.
    - no locales

[+] MUST: Packages storing shared library files (not just symlinks) must call ldconfig in %post and %postun.

[.] MUST: If the package is designed to be relocatable, ...
    - not relocatable

[+] MUST: A package must own all directories that it creates. 

[+] MUST: Files must not be listed more than once in %files.

[+] MUST: Permissions on files must be set properly.

[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot}.

[+] MUST: Each package must consistently use macros.

[+] MUST: The package must contain code, or permissable content.

[.] MUST: Large documentation files must go in a -doc subpackage.
    - no large docs 

[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application.

[+] MUST: Header files must be in a -devel package.

[.] MUST: Static libraries must be in a -static package.
    - no static libs packaged

[+] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'

[+] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.

[+] MUST: devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}

[+] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.

[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
    no GUI

[+] MUST: Packages must not own files or directories already owned by other packages.

[+] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}.

[+] MUST: All filenames in rpm packages must be valid UTF-8.


[+] SHOULD: The reviewer should test that the package builds in mock.
    - builds in mock

[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
    - builds in koji

[+] SHOULD: If scriptlets are used, those scriptlets must be sane.

[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.

[+] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.

Comment 3 Martin Gieseking 2009-09-21 19:29:32 UTC
OK, thanks.

------------------------
The package is APPROVED.
------------------------

Comment 4 Adam Goode 2009-09-21 20:32:49 UTC
New Package CVS Request
=======================
Package Name: openslide
Short Description: library for reading virtual slides
Owners: agoode
Branches: F-10 F-11 EL-5

Comment 5 Jason Tibbitts 2009-09-22 02:09:13 UTC
CVS done.


Note You need to log in before you can comment on or make changes to this bug.